> ## Documentation Index
> Fetch the complete documentation index at: https://checklyhq.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List all events for a heartbeat monitor

> Get all events from a heartbeat.



## OpenAPI

````yaml get /v1/checks/heartbeats/{checkId}/events
openapi: 3.0.0
info:
  title: Checkly Public API
  version: v1
  description: >-
    These are the docs for the newly released Checkly Public API. If you have
    any questions, please do not hesitate to get in touch with us.
servers:
  - url: https://api.checklyhq.com
security:
  - Bearer: []
tags: []
paths:
  /v1/checks/heartbeats/{checkId}/events:
    get:
      tags:
        - Heartbeats
      summary: Get a list of events for a heartbeat
      description: Get all events from a heartbeat.
      operationId: getV1ChecksHeartbeatsCheckidEvents
      parameters:
        - name: x-checkly-account
          in: header
          schema:
            type: string
            description: >-
              Your Checkly account ID, you can find it at
              https://app.checklyhq.com/settings/account/general
            x-format:
              guid: true
          description: >-
            Your Checkly account ID, you can find it at
            https://app.checklyhq.com/settings/account/general
        - name: checkId
          in: path
          schema:
            type: string
            x-format:
              guid: true
          required: true
        - name: startTime
          in: query
          schema:
            type: string
            format: date
            default: '2026-06-07T03:20:04.356Z'
        - name: endTime
          in: query
          schema:
            type: string
            format: date
            default: '2026-06-08T03:20:04.357Z'
        - name: limit
          in: query
          schema:
            type: number
            default: 10
            maximum: 10
      responses:
        '200':
          description: Successful
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Model141'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnauthorizedError'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ForbiddenError'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NotFoundError'
        '429':
          description: Too Many Requests
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TooManyRequestsError'
components:
  schemas:
    Model141:
      type: array
      items:
        $ref: '#/components/schemas/Model140'
    UnauthorizedError:
      type: object
      properties:
        statusCode:
          type: number
          enum:
            - 401
        error:
          $ref: '#/components/schemas/error'
        message:
          type: string
          example: Bad Token
        attributes:
          $ref: '#/components/schemas/attributes'
      required:
        - statusCode
        - error
    ForbiddenError:
      type: object
      properties:
        statusCode:
          type: number
          enum:
            - 403
        error:
          $ref: '#/components/schemas/Model1'
        message:
          type: string
          example: Forbidden
      required:
        - statusCode
        - error
    NotFoundError:
      type: object
      properties:
        statusCode:
          type: number
          enum:
            - 404
        error:
          $ref: '#/components/schemas/Model3'
        message:
          type: string
          example: Not Found
      required:
        - statusCode
        - error
    TooManyRequestsError:
      type: object
      properties:
        statusCode:
          type: number
          enum:
            - 429
        error:
          $ref: '#/components/schemas/Model2'
        message:
          type: string
          example: Too Many Requests
        attributes:
          $ref: '#/components/schemas/attributes'
      required:
        - statusCode
        - error
    Model140:
      type: object
      properties:
        events:
          $ref: '#/components/schemas/events'
        stats:
          $ref: '#/components/schemas/stats'
    error:
      type: string
      enum:
        - Unauthorized
    attributes:
      type: object
    Model1:
      type: string
      enum:
        - Forbidden
    Model3:
      type: string
      enum:
        - Not Found
    Model2:
      type: string
      enum:
        - Too Many Requests
    events:
      type: array
      items:
        $ref: '#/components/schemas/Model139'
    stats:
      type: object
      properties:
        last24Hours:
          $ref: '#/components/schemas/Model138'
        last7Days:
          $ref: '#/components/schemas/Model138'
    Model139:
      type: object
      properties:
        id:
          type: string
          x-format:
            guid: true
        state:
          $ref: '#/components/schemas/state'
        timestamp:
          type: string
          format: date
          description: UTC timestamp on which we received the event.
          example: '2023-07-24T10:01:01.098Z'
        source:
          type: string
          description: Source which triggered the event.
          example: HTTPS GET from Curl
          nullable: true
        userAgent:
          type: string
          description: User agent from the ping.
          example: >-
            Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML,
            like Gecko) Chrome/89.0.4389.82 Safari/537.36
          nullable: true
      required:
        - id
    Model138:
      type: object
      nullable: true
      properties:
        successRatio:
          $ref: '#/components/schemas/successRatio'
        totalEntitiesCurrentPeriod:
          type: number
    state:
      type: string
      description: Describe the event state, if the ping was received or not.
      example: FAILING
      enum:
        - FAILING
        - EARLY
        - RECEIVED
        - GRACE
        - LATE
    successRatio:
      type: object
      properties:
        previousPeriod:
          type: number
        currentPeriod:
          type: number
  securitySchemes:
    Bearer:
      type: http
      scheme: bearer
      bearerFormat: Bearer
      description: >-
        The Checkly Public API uses API keys to authenticate requests. You can
        get the API Key
        [here](https://app.checklyhq.com/settings/user/api-keys). Your API key
        is like a password:  keep it secure!

        Authentication to the API is performed using the Bearer auth method in
        the Authorization header and using the account ID.

        For example, set **Authorization** header while using cURL: `curl -H
        "Authorization: Bearer [apiKey]" "X-Checkly-Account: [accountId]"` 

````